// Imports
@use "variables" as var;
@import "icons-extension";
@import "@angular/cdk/overlay-prebuilt.css";

// Actual Styling
.infra-num-card {
  display: flex;
  flex-direction: column;
  padding: 40px var.$default-padding;
  background: var(--background-alt-grey);
  justify-content: space-between;

  @media (min-width: var.$breakpoint-desktop) {
    padding: 56px 102px;
  }

  form {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
}

.card-buttons {
  display: flex;
  flex-direction: column-reverse;

  @media (min-width: var.$breakpoint-desktop) {
    flex-direction: row;
  }

  dsfr-button {
    width: 100%;
    --dsfr-button-width: 100%;

    @media (min-width: var.$breakpoint-desktop) {
      width: unset;
      --dsfr-button-width: 180px;
    }
  }
}

.fr-alert {
  background-color: white;
}

a.link-as-btn {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background: var(--background-action-high-blue-france);
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.5rem;
  min-height: 40px;
  padding: var.$mini-padding var.$default-padding;
  width: var(--dsfr-button-width, fit-content);
  color: var(--text-inverted-blue-france);

  &:hover {
    background-color: var(--background-action-high-blue-france);
  }
}

.btn-delete {
  button {
    &.fr-btn--primary {
      background-color: var(--text-default-warning);
    }

    &.fr-btn--tertiary {
      color: var(--text-default-warning);
      box-shadow: inset 0 0 0 1px var(--text-default-warning);
    }
  }
}

dsfr-tab .fr-tabs .fr-tabs__panel {
  margin-top: 6px;
}

.overlay-in-box {
  width: calc(100% - 32px);

  @media (min-width: var.$breakpoint-desktop) {
    width: 352px;
  }
}

dsfr-button.rounded-button {
  border-radius: 4px;

  .fr-btn {
    border-radius: 4px;
  }
}

.cdk-overlay-container {
  z-index: 1002;
}

.tool-coordinates-marker {
  width: 28px;
  height: 33px;
  color: white;
  font-size: 12px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;

  span {
    margin-top: -5px;
  }
}

#toggle-wrapper {
  .fr-toggle input[type=checkbox]:checked ~ .fr-toggle__label:before {
    --data-uri-svg: url("data:image/svg+xml;charset=utf-8,%3Csvg width='40' stroke='%23000091' height='24' fill='transparent' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='.5' y='.5' width='39' height='23' rx='11.5'/%3E%3C/svg%3E");
  }
}
